Subject: bug#31231: Symbol search broken in NEWS and ChangeLogs

From: Juri Linkov <[email-masked]>
Date: Mon, 23 Apr 2018 01:12:31 +0300

>> 2. In these files replace apostrophes by “LEFT SINGLE QUOTATION MARK” and
>>    “RIGHT SINGLE QUOTATION MARK” like are used in Info and Help buffers.
>
> Thanks, but I don't like any of these 2 alternatives.  The first one
> will get in the way of spell-checking words with an apostrophe, the
> second one will make it harder to view the files on text terminals
> that don't support UTF-8.

But how these text terminals display Unicode quotes in Info manuals?

> Is this really such a bad problem that it requires us to tweak
> text-based modes?  What happens if you try searching for the symbol as
> a simple string? do you get many false positives?

Yes, this is a real problem.  Now I have a good habit of using
symbol search mode everywhere when searching for symbols.
But the search failure reminds that NEWS and ChangeLogs are still
problematic and I had to try again after switching to literal search.